﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using C1.WPF.FlexGrid;

namespace WPF_Flexgrid_SummaryRow
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            // create a data source
            var list = new List<Product>();
            for (int i = 0; i < 20; i++)
            {
                Product pd = new Product();
                pd.Name = pd.Name.ToString() + i;
                list.Add(pd);
            }

            // assign the data source to both grids
            var cvs = new CollectionViewSource() { Source = list };
            _flex.ItemsSource = cvs.View;
    
            var gr = new C1.WPF.FlexGrid.GroupRow();
            _flex.ColumnFooters.Rows.Add(gr);

          }
     }
}
